declare const _default: {
    locale: string;
    Pagination: {
        items_per_page: string;
        jump_to: string;
        jump_to_confirm: string;
        page: string;
        prev_page: string;
        next_page: string;
        prev_5: string;
        next_5: string;
        prev_3: string;
        next_3: string;
    };
    DatePicker: {
        lang: {
            today: string;
            now: string;
            backToToday: string;
            ok: string;
            clear: string;
            month: string;
            year: string;
            timeSelect: string;
            dateSelect: string;
            weekSelect: string;
            monthSelect: string;
            yearSelect: string;
            decadeSelect: string;
            yearFormat: string;
            dateFormat: string;
            dayFormat: string;
            dateTimeFormat: string;
            monthBeforeYear: boolean;
            previousMonth: string;
            nextMonth: string;
            previousYear: string;
            nextYear: string;
            previousDecade: string;
            nextDecade: string;
            previousCentury: string;
            nextCentury: string;
            placeholder: string;
            rangePlaceholder: string[];
        };
        timePickerLocale: {
            placeholder: string;
        };
    };
    TimePicker: {
        placeholder: string;
    };
    Calendar: {
        lang: {
            today: string;
            now: string;
            backToToday: string;
            ok: string;
            clear: string;
            month: string;
            year: string;
            timeSelect: string;
            dateSelect: string;
            weekSelect: string;
            monthSelect: string;
            yearSelect: string;
            decadeSelect: string;
            yearFormat: string;
            dateFormat: string;
            dayFormat: string;
            dateTimeFormat: string;
            monthBeforeYear: boolean;
            previousMonth: string;
            nextMonth: string;
            previousYear: string;
            nextYear: string;
            previousDecade: string;
            nextDecade: string;
            previousCentury: string;
            nextCentury: string;
            placeholder: string;
            rangePlaceholder: string[];
        };
        timePickerLocale: {
            placeholder: string;
        };
    };
    global: {
        placeholder: string;
    };
    Table: {
        filterTitle: string;
        filterConfirm: string;
        filterReset: string;
        filterEmptyText: string;
        emptyText: string;
        selectAll: string;
        selectInvert: string;
        selectNone: string;
        selectionAll: string;
        sortTitle: string;
        expand: string;
        collapse: string;
        triggerDesc: string;
        triggerAsc: string;
        cancelSort: string;
    };
    Modal: {
        okText: string;
        cancelText: string;
        justOkText: string;
    };
    Popconfirm: {
        okText: string;
        cancelText: string;
    };
    Transfer: {
        titles: string[];
        searchPlaceholder: string;
        itemUnit: string;
        itemsUnit: string;
        remove: string;
        selectCurrent: string;
        removeCurrent: string;
        selectAll: string;
        removeAll: string;
        selectInvert: string;
    };
    Upload: {
        uploading: string;
        removeFile: string;
        uploadError: string;
        previewFile: string;
        downloadFile: string;
    };
    Empty: {
        description: string;
    };
    Icon: {
        icon: string;
    };
    Text: {
        edit: string;
        copy: string;
        copied: string;
        expand: string;
    };
    PageHeader: {
        back: string;
    };
    Form: {
        optional: string;
        defaultValidateMessages: {
            default: string;
            required: string;
            enum: string;
            whitespace: string;
            date: {
                format: string;
                parse: string;
                invalid: string;
            };
            types: {
                string: string;
                method: string;
                array: string;
                object: string;
                number: string;
                date: string;
                boolean: string;
                integer: string;
                float: string;
                regexp: string;
                email: string;
                url: string;
                hex: string;
            };
            string: {
                len: string;
                min: string;
                max: string;
                range: string;
            };
            number: {
                len: string;
                min: string;
                max: string;
                range: string;
            };
            array: {
                len: string;
                min: string;
                max: string;
                range: string;
            };
            pattern: {
                mismatch: string;
            };
        };
    };
    Image: {
        preview: string;
    };
};
export default _default;
