import type { VNodeChild } from 'vue';
import type { RefObject } from '../../_util/createRef';
interface InputProps {
    prefixCls: string;
    id: string;
    inputElement: VNodeChild;
    disabled: boolean;
    autofocus: boolean;
    autocomplete: string;
    editable: boolean;
    accessibilityIndex: number;
    value: string;
    open: boolean;
    tabindex: number | string;
    /** Pass accessibility props to input */
    attrs: object;
    inputRef: RefObject;
    onKeydown: EventHandlerNonNull;
    onMousedown: EventHandlerNonNull;
    onChange: EventHandlerNonNull;
    onPaste: EventHandlerNonNull;
    onCompositionstart: EventHandlerNonNull;
    onCompositionend: EventHandlerNonNull;
    onFocus: EventHandlerNonNull;
    onBlur: EventHandlerNonNull;
}
declare const Input: import("vue").DefineComponent<InputProps, {
    VCSelectContainerEvent: any;
    blurTimeout: any;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    id?: unknown;
    inputElement?: unknown;
    disabled?: unknown;
    autofocus?: unknown;
    autocomplete?: unknown;
    editable?: unknown;
    accessibilityIndex?: unknown;
    value?: unknown;
    open?: unknown;
    tabindex?: unknown;
    attrs?: unknown;
    inputRef?: unknown;
    onKeydown?: unknown;
    onMousedown?: unknown;
    onChange?: unknown;
    onPaste?: unknown;
    onCompositionstart?: unknown;
    onCompositionend?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
} & {} & {
    value?: string;
    prefixCls?: string;
    onPaste?: EventHandlerNonNull;
    onCompositionend?: EventHandlerNonNull;
    onCompositionstart?: EventHandlerNonNull;
    onFocus?: EventHandlerNonNull;
    onBlur?: EventHandlerNonNull;
    onChange?: EventHandlerNonNull;
    onKeydown?: EventHandlerNonNull;
    onMousedown?: EventHandlerNonNull;
    attrs?: unknown;
    tabindex?: string | number;
    open?: boolean;
    disabled?: boolean;
    id?: string;
    inputElement?: VNodeChild;
    autofocus?: boolean;
    autocomplete?: string;
    editable?: boolean;
    accessibilityIndex?: number;
    inputRef?: RefObject;
}>, {}>;
export default Input;
